import request from '@/utils/request'

// 初始化工艺员
export function initCraftmen() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '人事档案管理_人员_部门与人员_查询数据_根据部门编号',
      param: '考核部门编号=17'
    }
  })
}
// 根据工艺员查零件
export function searchPart(person) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_在制零件工艺调整_被调整零件查询',
      param: '工艺人员编号=' + person
    }
  })
}
// 根据零件查工艺 旧
export function searchProcessOld(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_在制零件工艺调整_查询工艺',
      param: '工艺计划流水号=' + num
    }
  })
}
// 根据零件查工艺 新
export function searchProcessNew(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_零件工序_查询工序信息',
      param: '工艺计划流水号=' + num
    }
  })
}
// 查询各工艺员调整工艺情况
export function searchChart() {
  return request({
    url: '',
    method: 'post',
    data: {
      type: '1',
      name: '车间生产管理工艺_在制零件工艺调整_被调整零件数量查询'
    }
  })
}

